Skip to main content
GET
/
connection
/
company
/
{company_id}
Get Company Utility Account Connections
curl --request GET \
  --url https://external.nectarclimate.com/v2.2/connection/company/{company_id} \
  --header 'X-API-KEY: <api-key>'
{
  "totalConnections": 123,
  "perPage": 123,
  "totalPages": 123,
  "currentPage": 123,
  "hasNext": true,
  "hasPrevious": true,
  "connections": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created": "2023-11-07T05:31:56Z",
      "publicCompanyId": "<string>",
      "connectionMagicLinkSecret": "<string>",
      "statusLastUpdateTime": "2023-11-07T05:31:56Z",
      "statusFirstSeenTime": "2023-11-07T05:31:56Z",
      "statusErrorDetail": "<string>",
      "updated": "2023-11-07T05:31:56Z",
      "datasource": {
        "name": "<string>",
        "url": "<string>"
      },
      "accounts": [],
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "externalId": "<string>"
      },
      "url": "<string>",
      "status": "PENDING",
      "country": "AF",
      "initialSites": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "initialDatasourceTypes": [
        "ELECTRICITY"
      ],
      "username": "<string>",
      "workflowOwnerEmail": "[email protected]",
      "dataCollectionStartDate": "2023-12-25",
      "multiplyByOccupancy": true
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

company_id
string<uuid>
required

ID of the company to retrieve utility account connections for.

Query Parameters

connectionOwnerEmail
string<email>

Filter connections by exact owner email address.

Minimum string length: 1
limit
integer
default:100

Number of connections to return per page. Defaults to 100. Maximum is 500.

Required range: 1 <= x <= 500
page
integer
default:1

Page number for paginated results. Default is 1.

sites
string<uuid>[]

Filter connections linked to one or more site IDs. Pass this query parameter multiple times, e.g. ?sites=<site_uuid_1>&sites=<site_uuid_2>.

status
enum<string>

Filter by connection status.

  • PENDING - Pending
  • UNDER_INVESTIGATION - Under Investigation
  • CONNECTED - Connected
  • MFA_TOKEN_EXPIRED - Mfa Token Expired
  • PASSWORD_INCORRECT - Password Incorrect
  • NEW_PASSWORD_NEEDED - New Password Needed
  • ADDITIONAL_CREDENTIALS_NEEDED - Additional Credentials Needed
  • WEBSITE_DOWN - Website Down
  • NO_ACCOUNTS_FOUND - No Accounts Found
  • OTHER_ERROR - Other Error
  • COMPANY_INACTIVE - Company Inactive
  • URL_INACCESSIBLE - Url Inaccessible
Available options:
PENDING,
UNDER_INVESTIGATION,
CONNECTED,
MFA_TOKEN_EXPIRED,
PASSWORD_INCORRECT,
NEW_PASSWORD_NEEDED,
ADDITIONAL_CREDENTIALS_NEEDED,
WEBSITE_DOWN,
NO_ACCOUNTS_FOUND,
OTHER_ERROR,
COMPANY_INACTIVE,
URL_INACCESSIBLE
Minimum string length: 1

Response

Paginated response envelope for company connection lists.

totalConnections
integer
required

Total number of connections.

perPage
integer
required

Number of entries per page.

totalPages
integer
required

Total number of pages.

currentPage
integer
required

Current page number.

hasNext
boolean
required

Indicates if there is a next page.

hasPrevious
boolean
required

Indicates if there is a previous page.

connections
object[]
required

List of utility account connections for this page.